Subject: Re: [RFC net-next 2/8] xdp: add HW offload mode flag for installing programs

From: Daniel Borkmann <[email-masked]>
Date: Tue, 20 Jun 2017 01:36:21 +0200

On 06/20/2017 01:24 AM, Jakub Kicinski wrote:
[...]
> The XDP_SETUP_PROG_HW command is purely for convenience of drivers
> without an offload.  I felt it's not appropriate to burden all drivers
> with:
>
> if (xdp->flags & XDP_FLAGS_HW_MODE)
> 	return -EOPNOTSUPP;
>
> But, I do have a patch which does it, so I'm happy to drop the new
> command if it's preferred.

Ahh, that makes sense, yep. I was only focused on reviewing this in
the context of nfp driver. Lack of coffee. ;)